extern void wait_for_mouse_up(void);
extern boolean check_mouse_halt(void);
extern void hide_mouse_cursor(void);
extern void show_mouse_cursor(void);
extern void vmouse(short * M1, short * M2, short * M3, short * M4);
extern void dokey(unsigned char key,keybindings * kb);
void trackit(char * msg, short M2, short M3, short  M4);
void scan(boolean * done, keybindings * kb, boolean forcehalt);

void move_y_up(void);
void move_y_down(void);
void move_x_left(void);
void move_x_right(void);
void ins_key(void);
void del_key(void);
extern keybindings * current_kb;
